package intrinsic.mx.core;

public class Application extends intrinsic.mx.core.LayoutContainer {

	/** Accessors */
	public Object parameters;
	public intrinsic.mx.core.EdgeMetrics viewMetrics;
	public String viewSourceURL;
	public String url;
	public String id;

	/** Variables */
	public int scriptRecursionLimit;
	public boolean resetHistory;
	public boolean historyManagementEnabled;
	public intrinsic.mx.core.IUIComponent controlBar;
	public double frameRate;
	public Object preloader;
	public double scriptTimeLimit;
	public boolean usePreloader;
	public String pageTitle;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */
	public static Object application;

	/** Class variables */
	public static boolean useProgressiveLayout;

/** Contructors */
public Application() {
}


/** Static Methods */

/** Methods */
public native int getChildIndex(intrinsic.flash.display.DisplayObject arg0);
public native void addToCreationQueue(Object arg0);
public native void addToCreationQueue(Object arg0, int arg1);
public native void addToCreationQueue(Object arg0, int arg1, intrinsic.Function arg2);
public native void addToCreationQueue(Object arg0, int arg1, intrinsic.Function arg2, intrinsic.mx.core.IFlexDisplayObject arg3);
public native void finishPrint(Object arg0, intrinsic.mx.core.IFlexDisplayObject arg1);
public native Object prepareToPrint(intrinsic.mx.core.IFlexDisplayObject arg0);
public native void initialize();
public native void styleChanged(String arg0);

}
